### Method

# WebKit2WebExtension DOMCSSStyleDeclaration set_property

#### Declaration [src]

    void
    webkit_dom_css_style_declaration_set_property (
      WebKitDOMCSSStyleDeclaration* self,
      const gchar* propertyName,
      const gchar* value,
      const gchar* priority,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`propertyName` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`priority` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.